import { jsx } from "react/jsx-runtime";
import { EyeClosedIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const EyeClosed = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "EyeClosed", ...props, children: /* @__PURE__ */ jsx(EyeClosedIcon, { weight: variant }) });
  }
);
EyeClosed.displayName = "EyeClosed";
Object.assign(EyeClosed, { isGdsIcon: true });
export {
  EyeClosed
};
